%global srcname onigurumacffi
%bcond_without test

Name:           python-%{srcname}
Version:        1.1.0
Release:        1%{?dist}
Summary:        Python cffi bindings for the Oniguruma regex engine

License:        MIT
URL:            https://github.com/asottile/onigurumacffi
Source0:        %{url}/archive/v%{version}/%{name}-%{version}.tar.gz

BuildRequires:  gcc
Buildrequires:  pkgconfig(oniguruma)
BuildRequires:  python3-devel

%if %{with test}
BuildRequires:  python3dist(pytest)
%endif

%global _description %{srcname} provides %{summary}.

%description
%{wordwrap -v _description}


%package -n python3-%{srcname}
Summary:    %{summary}

%description -n python3-%{srcname}
%{wordwrap -v _description}


%prep
%autosetup -n %{srcname}-%{version}

%generate_buildrequires
%pyproject_buildrequires -r


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files %{srcname}


%check
%if %{with tests}
%pytest
%endif


%files -n python3-%{srcname} -f %{pyproject_files}
%license LICENSE
%doc README.md
%{python3_sitearch}/_%{srcname}.abi3.so


%changelog
* Tue Feb 22 2022 Maxwell G <gotmax@e.email> - 1.1.0-1
- Initial Package


